# Regular cron jobs for the doloforge package (all except hourly)
# The doloforge command itself will output administrative information, forwarded via email to the administrator.
# The project cron jobs output will be sent by doloforge to each project email.
# The order in which jobs are run is (see Doloforge::Command::Cron for details) :
#   - application server maintenance (on every appserv, started by "cron --maintenance")
#   - NFS server maintenance (started by "cron --maintenance", waiting for appserv maintenance to finish)
#   - DB server maintenance (started by "cron --maintenance", not waiting)
# Running the following can happen at any time, except that it will wait for all "cron --maintenance" to finish before running the log analysis on a single application server :
#   - client/project cron jobs (on a single appserv)
# The runs are enclosed in a loop listing every stage the host handles.
# Those runs are spawned in parallel to ensure good synchronisation of the tasks within each stage.
#
32 0   *   *   *   root    for stage in $(doloforge --quiet --directory ~doloforge config --list); do nice doloforge --quiet --stage $stage --directory ~doloforge cron --maintenance --interval daily & done
42 0   *   *   *   root    for stage in $(doloforge --quiet --directory ~doloforge config --list); do nice doloforge --quiet --stage $stage --directory ~doloforge cron --run --interval 'daily,weekly,monthly' & done
#
# If you want some special testing at special times, you can add a cron/test/ dir in a project, and adjust/activate this line:
#4  14   *   *   *   root    nice doloforge --quiet cron --run --interval 'test'
# vim:ft=crontab
